<?php

function filesizemb($file) {
  $size=filesize($file);
  if ($size>1.5*1024*1024*1024) {
    return sprintf("%.1f",($size/1024/1024/1024)) . 'GB';
  } 
  if ($size>1.5*1024*1024) {
    return sprintf("%.1f",($size/1024/1024)) . 'MB';
  } 
  if ($size>1.5*1024) {
    return sprintf("%.1f",($size/1024)) . 'KB';
  } 
  return $size . 'B';
}

function file_type($file) {
  $ext=strtolower(end(explode(".", $file)));
  if (($ext=='jpg') OR
      ($ext=='bmp') OR
      ($ext=='gif') OR
      ($ext=='png') OR
      ($ext=='dng')) {
    return 'Image';
  }
  if (($ext=='avi') OR 
      ($ext=='mov') OR 
      ($ext=='wmv')) {
    return 'Video';
  }
  if (($ext=='wma') OR 
      ($ext=='mp3') OR 
      ($ext=='wav')) {
    return 'Audio';
  }
  if (($ext=='sch') OR 
      ($ext=='brd') OR 
      ($ext=='pcb') OR 
      ($ext=='dxf') OR 
      ($ext=='dwg')) {
    return 'CAD';
  }
  if (($ext=='zip') OR
      ($ext=='rar')) {
    return 'Archive';
  }
  if (($ext=='spin') OR
      ($ext=='c') OR
      ($ext=='bs2') OR
      ($ext=='bs1') OR
      ($ext=='bsx') OR
      ($ext=='bse')) {
    return 'Code';
  }
  if (($ext=='pdf') OR
      ($ext=='doc') OR
      ($ext=='txt')) {
    return 'Documentation';
  }
  if (($ext=='bin') OR
      ($ext=='binary')) {
    return 'Binary';
  }
  if (($ext=='exe')) {
    return 'Executable';
  }
  if (($ext=='ppt')) {
    return 'Slide Show';
  }
  if (($ext=='xls') OR
      ($ext=='csv')) {
    return 'Spreadsheet';
  }
  return '';
}

function printallowedext() {
  $ext='jpg,bmp,gif,png,dng';
  $ext.=',avi,mov,wmv';
  $ext.=',wma,mp3,wav';
  $ext.=',sch,brd,pcb,dxf,dwg';
  $ext.=',zip,rar';
  $ext.=',spin,c,bs2,bs1,bsx,bse';
  $ext.=',pdf,doc,txt';
  $ext.=',bin,binary';
  $ext.=',exe';
  $ext.=',ppt';
  $ext.=',xls,csv';
  $exts=explode(',',$ext);
  sort($exts);
  return implode(',',$exts);
}
?>